* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  overflow: hidden;
  background-image: url("../images/cube_pattern.png");
  background-color: rgb(68, 136, 62);
  background-repeat: repeat;
}

section {
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
}
.btn-space{
  margin-right: 15px ;
}
form label {
  color: white;
}

.form-control {
  font-size: 0.8rem;
  border-radius: 0.6em;
  padding: 1.2rem 1rem;
}

select.form-control {
  padding: 0em;
  height: 3.3em;
  text-indent: 1em;
}

.confirmation-container,
.form-container {
  padding: 1em;
  background: rgba(0, 0, 0, 0.65);
  border-bottom-left-radius: 4px;
  border-bottom-right-radius: 4px;
}

.form-header {
  padding: 1em;
  background: rgba(0, 0, 0, 0.75);
  color: rgb(225, 225, 225);
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
}

.form-icon {
  height: 4em;
  color: rgb(225, 225, 225);
}

.slogan {
  position: relative;
  padding: 0;
  margin: 0;
  font-size: 4em;
  color: rgb(235, 235, 235);
}

.submit-button {
  background-color: #1988e1;
  border-radius: 5px;
  border: 1px solid rgba(0, 0, 0, 0.459);
  color: white;
}

.btn-link {
  color: white;
}
.btn-link:hover {
  color: lightblue;
}

input,
select {
  padding: 2px 0;
  border: 1px solid rgba(0, 0, 0, 0.459);
  border-radius: 0.3rem;
  color: black;
}

.error-message {
  color: red;
  position: relative;
  top: 90%;
}

/* media queries for mobile compatibility */
@media only screen and (max-width: 768px) {
  .error-message {
    top: 97%;
  }
}
@media only screen and (max-width: 600px) {
  body {
    overflow: hidden;
  }
  .form-box {
    width: 100vw;
  }
  .form-box label {
    font-size: 0.9rem;
  }
  .left-part {
    width: 70%;
  }
  body div.back-logo h1 {
    font-size: 15vw;
  }
  .right-part {
    width: 100%;
  }
  .form-box input {
    width: 50vw;
  }
  .form-box select {
    width: 50vw;
  }

  .login-form-box {
    left: 0;
  }
  .login-form-box .input {
    grid-template-rows: none;
  }
  .login-form-box .login-button {
    width: 30vw;
  }
}
@media only screen and (max-width: 320px) {
  .form-box {
    width: 100vw;
  }
}
